﻿Imports System.IO
Imports Microsoft.Office.Interop
Imports System.Reflection

Public Class frmLAVS2Word

    Private Sub OpenFileDialog1_FileOk(sender As Object, e As ComponentModel.CancelEventArgs) Handles OpenFileDialog.FileOk
        Me.txtXMLFile.Text = OpenFileDialog.FileName
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles cmdXMLFile.Click
        ' De file dialog aanroepen
        OpenFileDialog.ShowDialog()
    End Sub

    Private Sub cmdOpenSjabloon_Click(sender As Object, e As EventArgs) Handles cmdOpenSjabloon.Click
        OpenSjabloon.ShowDialog()
    End Sub

    Private Sub OpenSjabloon_FileOk(sender As Object, e As ComponentModel.CancelEventArgs) Handles OpenSjabloon.FileOk
        Me.txtSjabloon.Text = OpenSjabloon.FileName
    End Sub

    Private Sub btnVerwerk_Click(sender As Object, e As EventArgs) Handles btnVerwerk.Click
        
        ' Er moet een xml bestand zijn aangegevn welke bestaat
        Dim lcXMLFile As String = ""
        lcXMLFile = Me.txtXMLFile.Text
        If String.IsNullOrEmpty(lcXMLFile) Or _
                Not File.Exists(lcXMLFile) Or _
                Not Path.GetExtension(lcXMLFile).ToUpper = ".XML" Then
            MsgBox("Er is geen geldig XML-bestand opgegeven", MsgBoxStyle.Exclamation, "LAVS gegevens in Word-sjabloon verwerken")
            Exit Sub
        End If
       
        ' controleren of er een sjabloon is opgegeven
        Dim lcSjabloon As String = ""
        lcSjabloon = Me.txtSjabloon.Text
        If String.IsNullOrEmpty(lcSjabloon) Or _
            Not File.Exists(lcSjabloon) Or _
            Not (Path.GetExtension(lcSjabloon).ToUpper = ".DOTX" Or Path.GetExtension(lcSjabloon).ToUpper = ".DOT") Then
            MsgBox("Er is geen geldig Word-sjabloon opgegeven", MsgBoxStyle.Exclamation, "LAVS gegevens in Word-sjabloon verwerken")
            Exit Sub
        End If


        ' De gegevens uit de de XML lezen en deze in de juiste objecten plaatsen
        Dim loXML2Word As New XML2Word
        If loXML2Word.ConvertXML2Word(lcXMLFile, lcSjabloon) Then
            ' MsgBox("Document succesvol opgeslagen")
            ' Geen melding geven. Word is geopend en de gebruiker kan zelf het document op gaan slaan
        Else
            MsgBox("Er is een fout opgetreden, het document kon niet worden gemaakt", MsgBoxStyle.Exclamation, "LAVS gegevens in Word-sjabloon verwerken")
        End If

    End Sub


End Class